Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.log.output.io.rotate
Class RotatingFileTarget

    java.lang.Object
      org.jivesoftware.util.log.output.AbstractTarget
          org.jivesoftware.util.log.output.AbstractOutputTarget
              org.jivesoftware.util.log.output.io.StreamTarget
                  org.jivesoftware.util.log.output.io.FileTarget
                      org.jivesoftware.util.log.output.io.rotate.RotatingFileTarget

All Implemented Interfaces:
  ErrorAware, LogTarget

    public class RotatingFileTarget

extends FileTarget

This is a basic Output log target that writes to rotating files.

Author:
  Peter Donald, Stephen McConnell, Bernhard Huber

Constructor Summary
`RotatingFileTarget(Formatter formatter, RotateStrategy rotateStrategy, FileStrategy fileStrategy)` Construct RotatingFileTarget object.

Method Summary
`void` | `rotate()`
`void` | `write(String data)` Output the log message, and check if rotation is needed.

Methods inherited from class org.jivesoftware.util.log.output.io.FileTarget
`getFile, openFile, setFile`

Methods inherited from class org.jivesoftware.util.log.output.io.StreamTarget
`close, setOutputStream, shutdownStream`

Methods inherited from class org.jivesoftware.util.log.output.AbstractOutputTarget
`doProcessEvent, getFormatter, open, output, setFormatter`

Methods inherited from class org.jivesoftware.util.log.output.AbstractTarget
`error, getErrorHandler, isOpen, processEvent, setErrorHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RotatingFileTarget

    public RotatingFileTarget(Formatter formatter,
                              RotateStrategy rotateStrategy,
                              FileStrategy fileStrategy)
                       throws IOException

  Construct RotatingFileTarget object.

  Parameters:
    `formatter` - Formatter to be used
  Throws:
    `IOException`

Method Detail

### rotate

    public void rotate()
                throws IOException

  Throws:
    `IOException`

### write

    public void write(String data)

  Output the log message, and check if rotation is needed.

  Overrides:
    `write` in class `StreamTarget`
  Parameters:
    `data` - the data to be output

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.